# action-builder

![Version: CHART-VERSION](https://img.shields.io/badge/Version-CHART--VERSION-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: SERVICE-VERSION](https://img.shields.io/badge/AppVersion-SERVICE--VERSION-informational?style=flat-square)

The Ryax action builder

## Values

### Global

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.nodeSelector | object | `{}` | Add nodeSelector injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) |

### Resource Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| resources | object | `{}` | Recommended resource requirement really depends on what you are building Example: requests:   memory: "1000Mi"   cpu: "500m" limits:   memory: "8000Mi"   cpu: "2000m" |

### Ryax Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| ryaxWrappersGitReference | string | `"master"` | Git reference to use for the Ryax Wrappers repositoty that is pulled from https://gitlab.com/ryax-tech/ryax/ryax-action-wrappers.git |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| brokerSecret | string | `"ryax-broker-secret"` |  |
| extraEnv | object | `{}` | Add your extra env variables here Example:   - name: FOO     value: bar |
| image | object | `{"name":"registry.ryax.org/dev/action-builder","tag":"SERVICE-VERSION"}` | container image name and version |
| imagePullPolicy | string | `"Always"` |  |
| internalRegistry | string | `"registry:5000"` |  |
| logLevel | string | `"info"` | log level of the service |
| priorityClass | string | `"microservices"` |  |
| pullSecret | string | `nil` | pull secret like in pod template |
| resources | object | `{}` | Resources of the pod. Because this service is buildin container it might have to compile large software, so be aware that it might requires large amount of memory and some CPU to speed up the build Example:   requests:     memory: "2000Mi"     cpu: "500m"   limits:     memory: "2000Mi"     cpu: "2000m" |
| tls | object | `{"certSecret":null,"enabled":true,"hostname":null}` | TLS parameters. Warning: DO NOT DISABLE IN PRODUCTION |
| tls.certSecret | string | `nil` | Secret that contain the certificate. Should be provided third party like CertManager |
| tls.enabled | bool | `true` | Enable TLS for the action builder API |
| tls.hostname | string | `nil` | cluster FQDN like "cluster.ryax.io" use to create a valid certificate |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
